/*******************************************************\
* modlisation d'une surface d'eau                      *
* DrawTools.h                                           *
* ------------------------------------------------------*
* Georges AZZI / Georges CAMY                           * 
* Julie POULETTY / Arnaud QUENUM                        *
* IMAC Ing3 2002/2003 - Universit de Marne La Valle  *
* Copyright 2003                                        *
\*******************************************************/

#ifndef DrawTools_h
#define DrawTools_h
#endif

#ifdef WIN32
#include <windows.h>
#endif

#include <math.h>

#ifndef M_PI
#define M_PI	3.1415926535897932384626433832795
#endif

#include <iostream.h>
#include <fstream.h>
#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glut.h>
#include <stdio.h>
#include <stdlib.h>



/*******************************************************\
* Classe:		DrawTools								*
* Description:  contient des mthodes statiques pour	*
*				afficher certains objets simples		*
\*******************************************************/
class DrawTools{

public :
  DrawTools();
  static void drawCylinder(float r, float h,int dx, int dy,bool plein,double amax);
  static void drawCylinder(float r, float h,int dx, int dy,bool plein);
  static void drawInvertedCylinder(float r, float h,int dx, int dy,bool plein,double amax);
  static void drawText(char * chaine, int size);       // taille de la police de 1(petit)  3(grand)
  static unsigned char * loadPPM(char *titre,int *dx,int *dy);
};



