/*******************************************************\
* modlisation d'une surface d'eau                      *
* Repere.cpp                                            *
* ------------------------------------------------------*
* Georges AZZI / Georges CAMY                           * 
* Julie POULETTY / Arnaud QUENUM                        *
* IMAC Ing3 2002/2003 - Universit de Marne La Valle  *
* Copyright 2003                                        *
\*******************************************************/
#include "Repere.h"



/*******************************************************\
*                    constructeur                       *
\*******************************************************/
Repere::Repere(){

  // cration de l'objet repere
  id_corps = glGenLists(1);
  glNewList(id_corps,GL_COMPILE);
  
  // repere
  glPushMatrix();
    glDisable(GL_LIGHTING);
    glBegin(GL_LINES);
       glColor3f(1.0,0.0,0.0);
       glVertex3f(0.0,0.0,0.0);
       glVertex3f(1.0,0.0,0.0);
       glColor3f(0.0,1.0,0.0);
       glVertex3f(0.0,0.0,0.0);
       glVertex3f(0.0,1.0,0.0);
       glColor3f(0.0,0.0,1.0);
       glVertex3f(0.0,0.0,0.0);
       glVertex3f(0.0,0.0,1.0);
    glEnd();
    glEnable(GL_LIGHTING);
  glPopMatrix();

  // fin de dclaration de l'objet repere
  glEndList();
}



/*******************************************************\
* Mthode:		dessiner								*
* Description:  dessine le repre                       *
\*******************************************************/
void Repere::dessiner(){
  glCallList(id_corps);
}

