/*******************************************************\
* modlisation d'une surface d'eau                      *
* TexturedCube.h                                        *
* ------------------------------------------------------*
* Georges AZZI / Georges CAMY                           * 
* Julie POULETTY / Arnaud QUENUM                        *
* IMAC Ing3 2002/2003 - Universit de Marne La Valle  *
* Copyright 2003                                        *
\*******************************************************/

#ifndef TexturedCube_h
#define TexturedCube_h
#endif

#ifdef WIN32
#include <windows.h>
#endif

#include <math.h>

#ifndef M_PI
#define M_PI	3.1415926535897932384626433832795
#endif

#include <iostream.h>
#include <fstream.h>
#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glut.h>
#include <stdio.h>
#include <stdlib.h>



/*******************************************************\
* Classe:		TexturedCube							*
* Description:  quivalent de glutSolidCube mais avec	*
*				coordonnes de texture					*
\*******************************************************/
class TexturedCube{
public :
	TexturedCube();
	void dessiner(GLdouble size);

private:
	GLint id_corps;
};



