/*******************************************************\
* modlisation d'une surface d'eau                      *
* WaterExciter.h                                        *
* ------------------------------------------------------*
* Georges AZZI / Georges CAMY                           * 
* Julie POULETTY / Arnaud QUENUM                        *
* IMAC Ing3 2002/2003 - Universit de Marne La Valle  *
* Copyright 2003                                        *
\*******************************************************/
#ifndef WaterExciter_h
#define WaterExciter_h
#endif

#ifdef WIN32
#include <windows.h>
#endif

#include <math.h>

#ifndef M_PI
#define M_PI	3.1415926535897932384626433832795
#endif

#include <iostream.h>
#include <fstream.h>
#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glut.h>
#include <stdio.h>
#include <stdlib.h>



/*******************************************************\
* Classe:		WaterExciter							*
* Description:  reprsente un excitateur, c--d une 	*
*				force qui est appliqu  un point de la *
*				grille  une certaine frquence			* 
\*******************************************************/
class WaterExciter{

public :
  WaterExciter(GLint x, GLint y, GLdouble force, GLdouble frequency);
  void setCoordinates(GLint x, GLint y);
  void setFrequency(GLdouble frequency);

private:
  GLint x, z;
  GLdouble frequency;
};



